package xn.hxp.room.bean.cabinet;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity
public class CabinetDoorLock {
    // ("柜门id")
    @PrimaryKey
    private long doorId;

    // ("柜锁id")
    private long lockId;

    // ("锁类型：2是智能锁，3是钥匙柜")
    private int unlockingMethod;

    // ("锁名称")
    private String lockName;

    // ("锁编号")
    private String lockNum;

    // ("柜格编号：1,2,3 参考数据")
    private String cabinetLattice;

    public long getDoorId() {
        return doorId;
    }

    public void setDoorId(long doorId) {
        this.doorId = doorId;
    }

    public long getLockId() {
        return lockId;
    }

    public void setLockId(long lockId) {
        this.lockId = lockId;
    }

    public int getUnlockingMethod() {
        return unlockingMethod;
    }

    public void setUnlockingMethod(int unlockingMethod) {
        this.unlockingMethod = unlockingMethod;
    }

    public String getLockName() {
        return lockName;
    }

    public void setLockName(String lockName) {
        this.lockName = lockName;
    }

    public String getLockNum() {
        return lockNum;
    }

    public void setLockNum(String lockNum) {
        this.lockNum = lockNum;
    }

    public String getCabinetLattice() {
        return cabinetLattice;
    }

    public void setCabinetLattice(String cabinetLattice) {
        this.cabinetLattice = cabinetLattice;
    }
}
